/**
 * Copyright 2012, Ayuntamiento de Tarragona
 *  
 * Desarrollador por  Guadaltel, S.A.
 * 
 * El presente cdigo fue desarrollado con financiacin del Ministerio 
 * de Industria Turismo y Comercio con el nmero de proyecto TSI-050100-2009-219.
 * 
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by the 
 * European Commission  subseqent versions of the EUPL (the "Licence");  you 
 * may not use this work except in compliance with the Licence.
 *
 * You may obtain a copy of the Licence at: http://ec.europa.eu/idabc/eupl
 *
 * Unless required by applicable law or agreed to in writing, software distributed 
 * under the  Licence is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR 
 * CONDITIONS OF ANY KIND, either express or implied. See the Licence for the 
 * specific language governing  permissions and limitations under the Licence.
 */
package es.tarragona.psis.signer.utils;

public class PSISConstants {
	public static final String ENDPOINT = "signer.psis.endpoint";

	public static final String TRUSTEDSTORE = "signer.psis.sign.trustedstore";
	public static final String TRUSTEDSTORE_PASSWORD = "signer.psis.sign.trustedstore.password";
	public static final String TRUSTEDSTORE_TYPE = "signer.psis.sign.trustedstore.type";

	public static final String KEYSTORE = "signer.psis.sign.security.keystore";
	public static final String KEYSTORE_PASSWORD = "signer.psis.sign.security.keystore.password";
	public static final String KEYSTORE_TYPE = "signer.psis.sign.security.keystore.type";

	public static final String SIGN_PROFILE = "signer.psis.sign.signProfile";
	public static final String SIGN_TYPE = "signer.psis.sign.signType";
	public static final String SIGN_MAJOR_RESULT = "signer.psis.sign.majorResult";

	public static final String VALIDATION_PROFILE = "signer.psis.validation.profile";
	public static final String VALIDATION_MAJOR_RESULT = "signer.psis.validation.majorResult";
	public static final String VALIDATION_MINOR_RESULT = "signer.psis.validation.minorResult";
}