/**
 * Copyright 2012, Ayuntamiento de Tarragona
 *  
 * Desarrollador por  Guadaltel, S.A.
 * El presente cdigo fue desarrollado con financiacin del Ministerio 
 * de Industria Turismo y Comercio con el nmero de proyecto TSI-050100-2009-219.
 * 
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by the 
 * European Commission  subseqent versions of the EUPL (the "Licence");  you 
 * may not use this work except in compliance with the Licence.
 *
 * You may obtain a copy of the Licence at: http://ec.europa.eu/idabc/eupl
 *
 * Unless required by applicable law or agreed to in writing, software distributed 
 * under the  Licence is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR 
 * CONDITIONS OF ANY KIND, either express or implied. See the Licence for the 
 * specific language governing  permissions and limitations under the Licence.
 */
package es.guadaltel.framework.register.util;

import ieci.tecdoc.sgm.registropresencial.ws.server.FieldInfo;

import java.util.ArrayList;

public class Utils {
    public static FieldInfo[] toArray(ArrayList<FieldInfo> in){
        if(in==null) return new FieldInfo[0];
        if(in.size()==0) return new FieldInfo[0];
        FieldInfo[] ret=new FieldInfo[in.size()];
        for(int i=0;i<in.size();i++){
            ret[i]=(FieldInfo)in.get(i);
        }
        return ret;
    }

    public static String shortString(String _cadena, int tamanio)
    {
        String res="";
        String sufix = "...";
        if (_cadena!=null && !"".equals(_cadena) && _cadena.length()>=tamanio)
        {
            res=_cadena.substring(0,tamanio-sufix.length()) + sufix;
        } else
        res=_cadena;
        return res;
    }
}
