/**
 * Copyright 2012, Ayuntamiento de Tarragona
 *  
 * Desarrollador por  Guadaltel, S.A.
 * 
 * El presente cdigo fue desarrollado con financiacin del Ministerio 
 * de Industria Turismo y Comercio con el nmero de proyecto TSI-050100-2009-219.
 * 
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by the 
 * European Commission  subseqent versions of the EUPL (the "Licence");  you 
 * may not use this work except in compliance with the Licence.
 *
 * You may obtain a copy of the Licence at: http://ec.europa.eu/idabc/eupl
 *
 * Unless required by applicable law or agreed to in writing, software distributed 
 * under the  Licence is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR 
 * CONDITIONS OF ANY KIND, either express or implied. See the Licence for the 
 * specific language governing  permissions and limitations under the Licence.
 */
package es.guadaltel.framework.authenticator.domain;

public class InfoCertificado
{
	private String name;
	private String cif;
	private String nif;
	private String issuer;
	private String subject;
	private String serialNumber;

	public void setName(String name)
	{
		this.name = name;
	}
	public String getName() {
		return this.name;
	}

	public void setCif(String cif) {
		this.cif = cif;
	}
	public String getCif() {
		return this.cif;
	}

	public void setNif(String nif) {
		this.nif = nif;
	}
	public String getNif() {
		return this.nif;
	}

	public void setIssuer(String issuer) {
		this.issuer = issuer;
	}
	public String getIssuer() {
		return this.issuer;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}
	public String getSubject() {
		return this.subject;
	}

	public void setSerialNumber(String serialNumber) {
		this.serialNumber = serialNumber;
	}
	public String getSerialNumber() {
		return this.serialNumber;
	}
}