/**
 * Copyright 2012, Ayuntamiento de Tarragona
 *  
 * Desarrollador por  Guadaltel, S.A.
 * El presente cdigo fue desarrollado con financiacin del Ministerio 
 * de Industria Turismo y Comercio con el nmero de proyecto TSI-050100-2009-219.
 * 
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by the 
 * European Commission  subseqent versions of the EUPL (the "Licence");  you 
 * may not use this work except in compliance with the Licence.
 *
 * You may obtain a copy of the Licence at: http://ec.europa.eu/idabc/eupl
 *
 * Unless required by applicable law or agreed to in writing, software distributed 
 * under the  Licence is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR 
 * CONDITIONS OF ANY KIND, either express or implied. See the Licence for the 
 * specific language governing  permissions and limitations under the Licence.
 */
package es.guadaltel.framework.register.test;

import java.text.ParseException;

import es.guadaltel.framework.register.Register;
import es.guadaltel.framework.register.RegisterFactory;
import es.guadaltel.framework.register.RegisterTransaction;
import es.guadaltel.framework.register.exception.RegisterException;

public class Prueba {

    public static void main(String[] args) throws ParseException {

        Register register = RegisterFactory.createInstance();

        RegisterTransaction registerInfo = new RegisterTransaction();
        registerInfo.setType(RegisterTransaction.TYPE_REGISTER_OUT);

        try {
            register.register(registerInfo);

            System.out.println(registerInfo.getRecordNumber());
        } catch (RegisterException e) {
            e.printStackTrace();
        }
    }
}
